<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m210914_132350_add_options_online_payment
 */
class m210914_132350_add_options_online_payment extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('producer', 'option_stripe_public_key', Schema::TYPE_STRING);
        $this->addColumn('producer', 'option_stripe_private_key', Schema::TYPE_STRING);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('producer', 'option_stripe_public_key');
        $this->dropColumn('producer', 'option_stripe_private_key');
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m210914_132350_add_options_online_payment cannot be reverted.\n";

        return false;
    }
    */
}
